# Delete a page

Deletes a page.

Endpoint: DELETE /api/v1/pages/{pageId}
Version: v1
Security: Bearer

## Path parameters:

  - `pageId` (string, required)
    The page identifier.
    Example: "8f0b81bc-7388-46be-b109-6e73d1114470"

## Query parameters:

  - `environmentId` (string)
    The identifier of the environment.
    Example: "main"

## Request fields (application/json):

  - `permanently` (boolean)
    Whether the page should be permanently deleted (skipping the recycle bin).
Example value: True
    Example: true

  - `forceDelete` (boolean)
    Whether the page should be forcefully deleted (skipping the references check).
Example value: True
    Example: true

## Response 400 fields (application/json):

  - `type` (string,null)
    The type of the error response entity.

  - `title` (string,null)
    The title of the error response entity.

  - `status` (integer,null)
    The response status code.

  - `detail` (string,null)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string,null)
    If available, a URI reference that identifies the specific occurrence of the problem.

## Response 404 fields (application/json):

  - `type` (string,null)
    The type of the error response entity.

  - `title` (string,null)
    The title of the error response entity.

  - `status` (integer,null)
    The response status code.

  - `detail` (string,null)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string,null)
    If available, a URI reference that identifies the specific occurrence of the problem.


